For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Exam Result

Prerequisite reading

Synap API Basics: Authentication

Synap Academy Guide: Understanding Exams

Find Completed Attempts

Use the GET /v3/attempts endpoint with appropriate filters to find the Attempt(s) from which you need to extract results.

Results ready

curl --header 'Authorization: Bearer PAT' \
     --location --request GET \
    'https://api.synap.ac/v3/attempts?filter\[examId\]=<EXAM_ID>&filter\[resultStatus\]=finalised&filter\[resultStatus\]=released'

This should output a list of Attempts, like so (many fields have been stripped or omitted for brevity):

{
   "data":[
      {
         "type":"Attempt",
         "id":"O06RVyOCgFb",
         "attributes":{
            "title":"SomeExam",
            "isCompleted":true,
            "status":"completed",
            "examStatus":"submitted",
            "resultsStatus":"released",
            "state": {},
            "settings": {},
            "timeStarted":"2025-04-14T13:15:08.672Z",
            "timeCompleted":"2025-04-14T13:15:16.169Z",
            "grade":{
               "label":"A",
               "minScore":80,
               "isPass":true
            },
            "score":100,
            "marks":{
               "maxPoints":1,
               "credits":1,
               "penalties":0,
               "points":1
            },
            "isRevoked":false
         },
         "relationships":{
            "examV2":{
               "data":{
                  "type":"Exam-V-2",
                  "id":"smbCKuPWmkM"
               }
            },
            "owner":{
               "data":{
                  "type":"User",
                  "id":"OEAI5YUaz2"
               }
            }
         }
      }
   ],
   "included":[
   ],
   "meta":{
      "total":1,
      "pages":1,
      "page":1,
      "offset":0,
      "limit":25,
      "totalCount":1,
      "resultCount":1,
      "totalPages":1,
      "currentPage":1
   }
}

Last updated

Was this helpful?